Class QueryObject
java.lang.Object
org.nuxeo.ecm.webengine.model.impl.AbstractResource<ResourceTypeImpl>
org.nuxeo.ecm.restapi.server.jaxrs.QueryObject
- Since:
- 6.0 Search endpoint to perform queries on the repository through rest api.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic enumstatic enum -
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final Stringstatic final StringDeprecated, for removal: This API element is subject to removal in a future version.static final StringDeprecated, for removal: This API element is subject to removal in a future version.since 2025.20, usePageProviderSpec.CURRENT_USER_PARAMETER_VALUEinsteadprotected EnumMap<QueryObject.LangParams,String> static final Stringstatic final Stringstatic final Stringstatic final Stringprotected PageProviderServicestatic final Stringstatic final Stringprotected EnumMap<QueryObject.QueryParams,String> static final Stringstatic final Stringstatic final String -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptiondoQuery(javax.ws.rs.core.UriInfo uriInfo) Perform query on the repository.doSpecificQuery(javax.ws.rs.core.UriInfo uriInfo, String langOrProviderName) Perform query on the repository in NXQL or specific pageprovider nameprotected DocumentModelListprotected DocumentModelgetSearchDocumentModel(CoreSession session, PageProviderService pps, String providerName, Properties namedParameters) Deprecated.since 11.1, usePageProviderHelper.getSearchDocumentModel(CoreSession, PageProviderService, String, Map)insteadvoidinitialize(Object... args) Methods inherited from class org.nuxeo.ecm.webengine.model.impl.AbstractResource
checkGuard, dispose, getActiveAdapter, getAdapter, getContext, getFacets, getLinks, getModule, getName, getNext, getNextSegment, getPath, getPrevious, getTemplate, getTrailingPath, getType, getURL, getView, hasFacet, initialize, isAdapter, isInstanceOf, isRoot, newAdapter, newObject, newObject, redirect, retrieveWebObjectType, setNext, setPrevious, setRoot, toString
-
Field Details
-
PATH
- See Also:
-
NXQL
- See Also:
-
QUERY
- See Also:
-
PAGE_SIZE
- See Also:
-
CURRENT_PAGE_INDEX
- See Also:
-
MAX_RESULTS
- See Also:
-
SORT_BY
- See Also:
-
SORT_ORDER
- See Also:
-
ORDERED_PARAMS
- See Also:
-
CURRENT_USERID_PATTERN
Deprecated, for removal: This API element is subject to removal in a future version.since 2025.20, usePageProviderSpec.CURRENT_USER_PARAMETER_VALUEinstead- See Also:
-
CURRENT_REPO_PATTERN
Deprecated, for removal: This API element is subject to removal in a future version.since 2025.20, usePageProviderSpec.CURRENT_REPOSITORY_PARAMETER_VALUEinstead- See Also:
-
QUICK_FILTERS
- Since:
- 8.4
- See Also:
-
queryParametersMap
-
langPathMap
-
pageProviderService
-
-
Constructor Details
-
QueryObject
public QueryObject()
-
-
Method Details
-
initialize
- Overrides:
initializein classAbstractResource<ResourceTypeImpl>
-
getQuery
-
getSearchDocumentModel
@Deprecated(since="11.1") protected DocumentModel getSearchDocumentModel(CoreSession session, PageProviderService pps, String providerName, Properties namedParameters) Deprecated.since 11.1, usePageProviderHelper.getSearchDocumentModel(CoreSession, PageProviderService, String, Map)instead -
doQuery
Perform query on the repository. By default in NXQL.- Parameters:
uriInfo- Query parameters- Returns:
- Document Listing
-
doSpecificQuery
Perform query on the repository in NXQL or specific pageprovider name- Parameters:
uriInfo- Query parameterslangOrProviderName- NXQL or specific provider name- Returns:
- Document Listing
-
PageProviderSpec.CURRENT_REPOSITORY_PARAMETER_VALUEinstead